org.apache.axiom.om.ds

## Class WrappedTextNodeOMDataSource

- java.lang.Object
- - org.apache.axiom.om.ds.AbstractOMDataSource
  - - org.apache.axiom.om.ds.AbstractPullOMDataSource
    - - org.apache.axiom.om.ds.WrappedTextNodeOMDataSource

- All Implemented Interfaces:
    OMDataSource, OMDataSourceExt, QNameAwareOMDataSource
  Direct Known Subclasses:
    WrappedTextNodeOMDataSourceFromDataSource, WrappedTextNodeOMDataSourceFromReader

      public abstract class WrappedTextNodeOMDataSource
      extends AbstractPullOMDataSource
      implements QNameAwareOMDataSource

  `OMDataSource` implementation that represents a text node wrapped inside an element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected QName` | `wrapperElementName`

    - ### Fields inherited from interface org.apache.axiom.om.OMDataSourceExt

      `LOSSY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedTextNodeOMDataSource(QName wrapperElementName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocalName()` Get the local name of the element represented by this data source.
    `String` | `getNamespaceURI()` Get the namespace URI of the element represented by this data source.
    `String` | `getPrefix()` Get the namespace prefix of the element represented by this data source.

    - ### Methods inherited from class org.apache.axiom.om.ds.AbstractPullOMDataSource

      `isDestructiveWrite, serialize`

    - ### Methods inherited from class org.apache.axiom.om.ds.AbstractOMDataSource

      `close, copy, getObject, getProperty, getXMLBytes, getXMLInputStream, hasProperty, serialize, serialize, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.axiom.om.OMDataSource

      `getReader, serialize, serialize, serialize`

    - ### Methods inherited from interface org.apache.axiom.om.OMDataSourceExt

      `isDestructiveRead`

- - ### Field Detail

    - #### wrapperElementName

          protected final QName wrapperElementName

  - ### Constructor Detail

    - #### WrappedTextNodeOMDataSource

          public WrappedTextNodeOMDataSource(QName wrapperElementName)

  - ### Method Detail

    - #### getLocalName

          public String getLocalName()

      Description copied from interface: `QNameAwareOMDataSource`
      Get the local name of the element represented by this data source.
      Specified by:
        `getLocalName` in interface `QNameAwareOMDataSource`
      Returns:
        the local name of the element or `null` if the local name is not known

    - #### getNamespaceURI

          public String getNamespaceURI()

      Description copied from interface: `QNameAwareOMDataSource`
      Get the namespace URI of the element represented by this data source.
      Specified by:
        `getNamespaceURI` in interface `QNameAwareOMDataSource`
      Returns:
        the namespace URI of the element, the empty string if the element has no namespace or `null` if the namespace URI is not known

    - #### getPrefix

          public String getPrefix()

      Description copied from interface: `QNameAwareOMDataSource`
      Get the namespace prefix of the element represented by this data source.
      Specified by:
        `getPrefix` in interface `QNameAwareOMDataSource`
      Returns:
        the prefix of the element, the empty string if the element has no prefix or `null` if the prefix is not known; the implementation is expected to return an empty string if `QNameAwareOMDataSource.getNamespaceURI()` returns an empty string (because an element without namespace must not have a prefix)

Copyright © The Apache Software Foundation. All Rights Reserved.